/* TableStyleDark9.java

	Purpose:
		
	Description:
		
	History:
		Mar 30, 2015 5:17:51 PM, Created by henrichen

	Copyright (C) 2015 Potix Corporation. All Rights Reserved.
*/

package org.zkoss.zssex.model.sys;

import org.zkoss.zss.model.SBorder.BorderType;
import org.zkoss.zss.model.SFill.FillPattern;
import org.zkoss.zss.model.STableStyleElem;
import org.zkoss.zss.model.SFont.Underline;
import org.zkoss.zss.model.impl.BorderImpl;
import org.zkoss.zss.model.impl.BorderLineImpl;
import org.zkoss.zss.model.impl.ExtraFillImpl;
import org.zkoss.zss.model.impl.FontImpl;
import org.zkoss.zss.model.impl.TableStyleElemImpl;
import org.zkoss.zss.model.impl.TableStyleImpl;

/**
 * Builtin TableStyleDark9
 * 
 * @author henri
 * @since 3.8.0
 */
public class TableStyleDark9 extends TableStyleImpl {
	private TableStyleDark9() {
		super(
				"TableStyleDark9",//name,
				D9_Whole_Table, 	//wholeTable,
				D9_Col_Stripe1, 	//colStripe1,
				1, 					//colStripe1Size,
				null, 				//colStripe2,
				1, 					//colStripe2Size,
				D9_Row_Stripe1, 	//rowStripe1,
				1, 					//rowStripe1Size,
				null,				//rowStripe2,
				1, 					//rowStripe2Size,
				D9_Last_Col, 	//lastCol,
				D9_First_Col,	//firstCol,
				D9_Header_Row,	//headerRow,
				D9_Total_Row,	//totalRow,
				null,	//firstHeaderCell,
				null,	//lastHeaderCell,
				null,	//firstTotalCell,
				null	//lastTotalCell
			);
	}
	
	private static final STableStyleElem D9_Col_Stripe1 = 
			new TableStyleElemImpl(
				null,	//font
				new ExtraFillImpl(FillPattern.SOLID, "B8CCE4", "B8CCE4"), 	//fill //ZSS-1162
				null	//border
			);

	private static final STableStyleElem D9_Row_Stripe1 =
			D9_Col_Stripe1;
	private static final STableStyleElem D9_Last_Col =
			new TableStyleElemImpl(
				new FontImpl("000000", true /*bold*/, false /*fontItalic*/, 
					false /*fontStrikeout*/, Underline.NONE), 			//font
				null, //fill
				null //border
			);
	private static final STableStyleElem D9_First_Col =
			D9_Last_Col;
	private static final STableStyleElem D9_Total_Row =
			new TableStyleElemImpl(
					new FontImpl("000000", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					null,//fill
					new BorderImpl(
							null, //left 
							new BorderLineImpl(BorderType.DOUBLE, "000000"), //top 
							null, //right
							null, //bottom
							null, //diagonal
							null, //vertical
							null  //horizontal
					)
			);
	private static final STableStyleElem D9_Header_Row =
			new TableStyleElemImpl(
					new FontImpl("FFFFFF", false /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "C0504D", "C0504D"),//fill //ZSS-1162
					null
			);
	private static final STableStyleElem D9_Whole_Table = 
			new TableStyleElemImpl(
					null, //font
					new ExtraFillImpl(FillPattern.SOLID, "DBE5F1", "DBE5F1"),//fill //ZSS-1162
					null //border
			);

	public static final TableStyleDark9 instance = new TableStyleDark9();
}
